echo off
rem $Id: sm_notify.cmd,v 1.6 2007/08/24 15:13:58 sesam Exp $
rem ******************************************************************************
rem 
rem  File      : sm_notify.cmd
rem  Copyright : (c) SEP AG  D83629 Weyarn
rem  Project   : SESAM Backup Utility
rem  Date      : 2006-12-01
rem
rem ******************************************************************************
rem
rem  Description : This is the notify interface of SESAM backup utility .
rem                It is called from SESAM during finishing a backup, media change,
rem                media init, SESAM day change, all scheduled jobs finished 
rem                or SESAM startup.
rem
rem  Parameters  : %1 = Calling module (BACKUP, GET_VOLUME, INIT, NEWDAY)
rem                                     NEWDAY, ALL_JOBS_DONE, STARTUP)
rem                %2 = Text of message
rem
rem
rem  This is a user programable BAT-file with 2 parameters.
rem  Please insert your specific code-lines after this comment.
rem  Take care of not inserting commands which wait for an answer from
rem  the user ( OK-buttons etc. ) - this may cause a total blocking of
rem  backups during the night.
rem
rem ********************************************************************************
rem
rem  Beschreibung: Die Notify-Schnittstelle der SESAM Sicherungssoftware.
rem                Sie wird beim Beenden einer Sicherung, Medienwechsel, Medieninit,
rem                SESAM Tageswechsel, alle geplanten Sicherung beendet 
rem                oder SESAM Start aufgerufen.
rem
rem  Parameter   : $1 = Name des Moduls (BACKUP, GET_VOLUME, INIT, 
rem                                      NEWDAY, ALL_JOBS_DONE, STARTUP)
rem                $2 = Text der Meldung
rem
rem  Dies ist eine benutzerprogrammierbare Batch-Datei mit 2 Parametern.
rem  Fuegen Sie bitte Ihre eigenen Kommandozeilen nach diesem Kommentar ein,
rem  wobei Kommandos, die eine Antwort erwarten ( OK-Buttons etc. ) vermieden
rem  werden sollten, da sie Sicherungen waehrend der Nacht blockieren koennten.
rem
rem
rem ********************************************************************************
rem
rem
echo Parameter 1 = %1
echo Parameter 2 = %2


rem Example for special module "ALL_JOBS_DONE"

if "%1" NEQ "ALL_JOBS_DONE" goto send_given_message

rem Example: Send email with sm_smtp command

sm_smtp -A sesam -M gv_dayfile: -a gv_prot: -s "Sesam backup status: "+%1+" "+%2+

goto end

:send_given_message

set SESAM_LOG_DIR=C:\TEMP
set SESAM_NOTIFY_LOG=%SESAM_LOG_DIR%\sm_alarm.log

echo. > %SESAM_NOTIFY_LOG%
echo SEP sesam Notify Message (sm_notify.cmd) >> %SESAM_NOTIFY_LOG%
echo. >> %SESAM_NOTIFY_LOG%
date /t >> %SESAM_NOTIFY_LOG% && time /t >> %SESAM_NOTIFY_LOG%
echo Module:  %1 >> %SESAM_NOTIFY_LOG%
echo Message: %2 >> %SESAM_NOTIFY_LOG%

\Programme\SEPsesam\bin\sesam\sm_smtp -A sesam -M %SESAM_NOTIFY_LOG%  -s "SEP sesam Notify Information: %1 %2" -s "SEP sesam Notify Information: "+%1+" "+%2+
goto end

:end



